groovy.inspect

## Class Inspector.MemberComparator

- java.lang.Object
- - groovy.inspect.Inspector.MemberComparator

All Implemented Interfaces:
  java.io.Serializable, java.util.Comparator<java.lang.Object>

Enclosing class:
  Inspector

    public static class Inspector.MemberComparator
    extends java.lang.Object
    implements java.util.Comparator<java.lang.Object>, java.io.Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MemberComparator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(java.lang.Object a, java.lang.Object b)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### MemberComparator

    public MemberComparator()

### Method Detail

#### compare

    public int compare(java.lang.Object a,
                       java.lang.Object b)

Specified by:
  `compare` in interface `java.util.Comparator<java.lang.Object>`